hack4glarus-2020-winter - Task #8675

Jitsi - enable vb for livestream/recording
12/04/2020 01:11 PM - Philipp (double-p) Buehler

Status: Closed Start date: 12/04/2020
Priority: Normal Due date:

Assignee: Philipp (double-p) Buehler % Done: 90%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

History

#1 - 12/04/2020 01:35 PM - Philipp (double-p) Buehler

Docs https://jitsi.org/blog/learn-how-to-live-stream-and-record-on-your-jitsi-meet-install/

#2 - 12/04/2020 01:39 PM - Philipp (double-p) Buehler

https://qithub.com/jitsi/jibri

https://nerdonthestreet.com/s/15

Sidenote: this java8 thing seems to be fixed in at least "jibri/stable,now 8.0-61-g99288dc-1"
- full history/log attached

#3 - 12/04/2020 04:28 PM - Philipp (double-p) Buehler

please provide a debian 10.6 (buster) VM (and later on some prosody config on the VM for talk.ungleich.ch)

#4 - 12/04/2020 04:29 PM - Philipp (double-p) Buehler

ssh-rsa
AAAAB3NzaC1yc2EAAAADAQABAAABAQDcUNHhHZFhW+VTKdURDIbUTRk4c3ygnBEGHIr8YI1itth9zUgGRX7MrQCVIMm9RjMgTayZL XjuytbiWfs
gnPK7gaQh07Rwd1YGNcsLRcGTPHGef6QVhx4tXd7F11kDAx7NQ5fxAMOXNhKJqI38ZwDeNtz1183PKwgJsXAxY1YIHLwWTIFBHqtkEShPGPtWjMxU
m4KEDJtFJ5qJ8jJPfGQPc1akSgMVRURjC+C4N0IUwNOkuS4b456+/4xawlVwgbwjE8p1+1Hfa7JPjY+oHb4sC+DAIX+YOMC1c8ugU1Tz8ACPSIn/fYi
AhErulVgVj6776piN78LPjBAVaWXsBx70L pbuehler@ungleich

#5 - 12/04/2020 04:29 PM - Nico Schottelius

e VM: 2a0a:e5c0:2:12:0:f0ff:fea9:c4ae
¢ ssh key added

#6 - 12/04/2020 04:49 PM - Nico Schottelius

* Resized to 8GB/2C

#7 - 12/05/2020 04:24 AM - Guifi Pedro

double-p, here you have my ssh key:

ssh-ed25519 AAAAC3NzaC1IZDI1NTE5AAAAIG2v300fazBoKiolg6WxaphUSE7NBNkPIMAJ2jVjlwXW pedro@ungleich

#8 - 12/05/2020 08:54 AM - Philipp (double-p) Buehler
@guidipedro key has been added for 'root'

#9 - 12/05/2020 01:03 PM - Philipp (double-p) Buehler
@Nico Schottelius on the jitsi-meet VM we need following adaptions:

in /etc/prosody/prosody.cfg.lua:

Component "conference.talk.ungleich.ch" "muc"
modules_enabled = { "muc_man" }
https://jitsi.org/blog/learn-how-to-live-stream-and-record-on-your-jitsi-meet-install/
https://github.com/jitsi/jibri
https://nerdonthestreet.com/s/15
http://localhost:3000/users/3

Component "internal.auth.talk.ungleich.ch"
modules_enabled = {

muc

"ping";
}
storage = "internal"
muc_room_cache_size = 1000

VirtualHost "recorder.talk.ungleich.ch"
modules_enabled = {
"ping";
}

authentication = "internal_plain"

Following commands:
prosodyctl register jibri auth.talk.ungleich.ch jibriPASS123
prosodyctl register recorder recorder.talk.ungleich.ch recPASS123

Add to /etc/jitsi/jicofo/sip-communicator.properties

org.jitsi.jicofo.jibri.BREWERY=JibriBrewery@internal.auth.talk.ungleich.ch
org.jitsi.jicofo.jibri.PENDING_TIMEOUT=90

In /etc/jitsi/meet/talk.ungleich.ch-config. js:

fileRecordingsEnabled: true,
liveStreamingEnabled: true,
hiddenDomain: 'recorder.talk.ungleich.ch',

And to enable above settings:
systemctl restart prosody

systemctl restart jicofo

systemctl restart jitsi-videobridge2

#10 - 12/05/2020 01:08 PM - Philipp (double-p) Buehler
- % Done changed from 0 to 60

#11 - 12/05/2020 01:09 PM - Philipp (double-p) Buehler

- Status changed from New to In Progress

#12 - 12/05/2020 01:09 PM - Philipp (double-p) Buehler
- File jibri-install. md added

#13 - 12/05/2020 01:28 PM - Philipp (double-p) Buehler
- File deleted (jibri-install.md)

#14 - 12/05/2020 01:28 PM - Philipp (double-p) Buehler
- File jibri-install.md added

#15 - 12/05/2020 02:29 PM - Philipp (double-p) Buehler
- File pres.html added

#16 - 12/06/2020 10:31 AM - Philipp (double-p) Buehler
- File deleted (pres.html)

#17 - 12/06/2020 10:31 AM - Philipp (double-p) Buehler
- File pres.html added

#18 - 12/06/2020 10:34 AM - Philipp (double-p) Buehler
- % Done changed from 60 to 90

#19 - 12/06/2020 10:34 AM - Philipp (double-p) Buehler

All installation+configuration is done - but in the final step to "recognize" jibri is available, it fails:

2020-12-06 09:27:57.569 FINE: [54] org.jitsi.jibri.selenium.pageobjects.CallPage.apply() Not joined yet: Cannot read property 'isJoined' of undefined
#20 - 12/06/2020 10:52 AM - Philipp (double-p) Buehler
also tried JDK8 - nope.

#21 - 12/06/2020 01:54 PM - Philipp (double-p) Buehler

nginx:

user jibri;

worker_processes auto;

pid /run/nginx.pid;

include /etc/nginx/modules—enabled/*.conf;

events {
worker_connections 768;
# multi_accept on;

http {
sendfile on;
tcp_nopush on;
tcp_nodelay on;
keepalive_timeout 65;
types_hash_max_size 2048;
# server_tokens off;

# server_names_hash_bucket_size 64;
# server_name_in_redirect off;

include /etc/nginx/mime.types;
default_type application/octet-stream;

access_log /var/log/nginx/access.log;
error_log /var/log/nginx/error.log;

server
listen [::]:80 default_server;

return 301 https://Shost$request_uri;

server
listen [::]:443 ssl http2;

ssl_certificate /etc/ssl/mycert.pem;

ssl_certificate_key /etc/ssl/private/mycert.key;
ssl_session_timeout 1d;

ssl_session_cache shared:MozSSL:10m; # about 40000 sessions
ssl_session_tickets off;

ssl_dhparam /etc/ssl/private/dhparam;

ssl_protocols TLSv1.2 TLSvl.3;

ssl_ciphers ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:EC
DHE-RSA-AES256-GCM-SHA384 : ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:DHE-RSA-AES128-GCM-SHA256:
DHE-RSA-AES256-GCM-SHA384;

ssl_prefer_server_ciphers off;

root /talkrec;
location / { autoindex on; }

#22 - 12/06/2020 03:50 PM - Nico Schottelius

- Status changed from In Progress to Closed

Files
jibri-install.md 4.24 KB 12/05/2020 Philipp (double-p) Buehler
pres.html 3.34 KB 12/06/2020 Philipp (double-p) Buehler
